package xyz.thastertyn.Tuples;

/**
 * Ekvitalent Tuplu, ktery neni zabudovan v jave
 */
public class Pair<T1, T2> {
	
	
	private T1 value0;
	private T2 value1;

	public Pair(T1 value0, T2 value1)
	{
		this.value0 = value0;
		this.value1 = value1;
	}
	
	public Pair()
	{

	}

	public void put(T1 value0, T2 value1)
	{
		this.value0 = value0;
		this.value1 = value1;
	}

	public T1 getValue0()
	{
		return value0;
	}

	public T2 getValue1()
	{
		return value1;
	}

	public void setValue0(T1 value0)
	{
		this.value0 = value0;
	}

	public void setValue1(T2 value1)
	{
		this.value1 = value1;
	}

	@Override
	public String toString()
	{
		return "[" + value0 + ", " + value1 + "]";
	}
}
